# This file is used by the 'check_reserved_keywords' management command to allow specific field names to be overridden
# when checking for conflicts with lists of restricted keywords used in various database/data warehouse tools.
# For more information, see: https://github.com/edx/edx-django-release-util/release_util/management/commands/check_reserved_keywords.py
#
# overrides should be added in the following format:
#   - ModelName.field_name
---
MYSQL:
    - CornerstoneGlobalConfiguration.key
    - CourseCompleteImageConfiguration.default
    - DegreedEnterpriseCustomerConfiguration.key
    - ExperimentData.key
    - ExperimentKeyValue.key
    - GeneratedCertificate.key
    - HistoricalDegreedEnterpriseCustomerConfiguration.key
    - HistoricalExperimentKeyValue.key
    - HistoricalGeneratedCertificate.key
    - KVStore.key
    - LTICredential.key
    - NotificationType.key
    - OAuth2ProviderConfig.key
    - ProctoredExamStudentAllowanceHistory.key
    - ProctoredExamStudentAllowance.key
    - SAPSuccessFactorsEnterpriseCustomerConfiguration.key
    - Settings.interval
    - UserCourseTag.key
    - UserOrgTag.key
    - UserPreference.key
    - XAPILRSConfiguration.key
SNOWFLAKE:
    - CourseOverview.start
    - HistoricalCourseOverview.start
STITCH:
